DPDK patches and discussions
 help / color / mirror / Atom feed
From: Liang Ma <liangma@liangbit.com>
To: dev@dpdk.org
Cc: yi.rong@intel.com, Liang Ma <liangma@bytedance.com>,
	stable@dpdk.org, Bruce Richardson <bruce.richardson@intel.com>,
	Konstantin Ananyev <konstantin.ananyev@intel.com>
Subject: [dpdk-dev] [PATCH] buildtools: Check GCC version to avoid GCC 6.3.0 avx512 bug
Date: Sat, 17 Jul 2021 18:08:30 +0100	[thread overview]
Message-ID: <20210717170830.1736-1-liangma@liangbit.com> (raw)

From: Liang Ma <liangma@bytedance.com>

GCC 6.3.0 has a known bug which related to _mm512_extracti64x4_epi64.
Please reference https://gcc.gnu.org/bugzilla/show_bug.cgi?id=82887

Some DPDK PMD avx512 version heavily use _mm512_extracti64x4_epi6,
which casue building failure with debug buildtype.

Therefore, it's helpful to disable avx512 for GCC 6.3.0

Bugzilla ID: 717
Fixes: e6a6a138919f (net/i40e: add AVX512 vector path)
Fixes: 808a17b3c1e6 (net/ice: add Rx AVX512 offload path)
Fixes: 4b64ccb328c9 (net/iavf: fix VLAN extraction in AVX512 path)
Cc: stable@dpdk.org

Reported-by: Liang Ma <liangma@liangbit.com>
Signed-off-by: Liang Ma <liangma@bytedance.com>
---
 buildtools/binutils-avx512-check.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/buildtools/binutils-avx512-check.sh b/buildtools/binutils-avx512-check.sh
index 2a833b64b7..b86d0b179e 100755
--- a/buildtools/binutils-avx512-check.sh
+++ b/buildtools/binutils-avx512-check.sh
@@ -5,6 +5,13 @@
 AS=${AS:-as}
 OBJFILE=$(mktemp -t dpdk.binutils-check.XXXXXX)
 trap 'rm -f "$OBJFILE"' EXIT
+
+# from https://gcc.gnu.org/bugzilla/show_bug.cgi?id=82887
+GCC_VER=6.3.0
+gcc --version|grep $GCC_VER && {
+    echo "GCC 6.3.0 is broken with  _mm512_extracti64x4_epi64"
+    exit 1
+}
 # from https://gcc.gnu.org/bugzilla/show_bug.cgi?id=90028
 GATHER_PARAMS='0x8(,%ymm1,1),%ymm0{%k2}'
 
-- 
2.17.1


             reply	other threads:[~2021-07-17 17:09 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-07-17 17:08 Liang Ma [this message]
2021-07-17 17:48 ` Stephen Hemminger
2021-07-17 22:13   ` Liang Ma
2021-07-18  1:08     ` Stephen Hemminger
2021-07-18  9:33       ` Liang Ma
2021-07-19  8:38         ` Bruce Richardson
2021-07-19 10:04           ` Liang Ma
2021-07-19 22:34 ` [dpdk-dev] [PATCH v2] build: check AVX512 rather than compiler version Liang Ma
2021-07-20 10:19   ` Bruce Richardson
2021-07-20 11:24     ` Liang Ma
2021-07-20 11:20 ` [dpdk-dev] [PATCH v3] " Liang Ma
2021-07-20 11:58   ` Bruce Richardson
2021-07-20 13:25     ` Liang Ma
2021-07-20 13:36 ` [dpdk-dev] [PATCH v4] build: check for broken AVX-512 compiler support Liang Ma
2021-07-22 17:58   ` [dpdk-dev] [dpdk-stable] " Thomas Monjalon

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210717170830.1736-1-liangma@liangbit.com \
    --to=liangma@liangbit.com \
    --cc=bruce.richardson@intel.com \
    --cc=dev@dpdk.org \
    --cc=konstantin.ananyev@intel.com \
    --cc=liangma@bytedance.com \
    --cc=stable@dpdk.org \
    --cc=yi.rong@intel.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).